<script setup lang="ts">
  import { CmsBlockImageThreeColumn } from '@shopware-pwa/composables-next';

  const props = defineProps<{
    content: CmsBlockImageThreeColumn;
  }>();
  const { getSlotContent } = useCmsBlock(props.content);
  const leftContent = getSlotContent('left');
  const rightContent = getSlotContent('right');
  const centerContent = getSlotContent('center');
</script>

<template>
  <div class="md:(grid-cols-3 px-5) grid gap-10 py-5">
    <CmsGenericElement :content="leftContent" />
    <CmsGenericElement :content="centerContent" />
    <CmsGenericElement :content="rightContent" />
  </div>
</template>
